The PrimitiveArray package

[maintain]
Warnings:

This library provides efficient multidimensional arrays.

In general all operations are (highly) unsafe, no bounds-checking or other sanity-checking is performed. Operations are aimed toward efficiency as much as possible.


Properties

Versions0.0.2.1, 0.0.2.2, 0.0.3.0, 0.0.3.1, 0.0.4.0, 0.1.1.2, 0.2.0.0, 0.2.1.0, 0.2.1.1, 0.2.2.0, 0.3.0.0, 0.4.0.0, 0.4.0.1, 0.5.0.0, 0.5.2.0, 0.5.2.0, 0.5.3.0, 0.5.4.0
Dependenciesbase (==4.*), deepseq (>=1.3), primitive (>=0.5.0.1), QuickCheck (>=2.5), repa (>=3.2.3), vector (>=0.10.0.1), vector-th-unbox (>=0.2)
LicenseBSD3
CopyrightChristian Hoener zu Siederdissen, 2010-2013
AuthorChristian Hoener zu Siederdissen
Maintainerchoener@tbi.univie.ac.at
StabilityExperimental
CategoryData
Home pagehttp://www.tbi.univie.ac.at/~choener/
Source repositoryhead: git clone git://github.com/choener/PrimitiveArray
UploadedThu Oct 3 19:22:03 UTC 2013 by ChristianHoener

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees